//#-hidden-code
import UIKit
import PlaygroundSupport
import CoreAudioKit
import SpriteKit
import SceneKit

PlaygroundSupport.PlaygroundPage.current.needsIndefiniteExecution = true

public class skoogContents: PlaygroundViewController {
    func setup() {
        setInstrument(.acid)
        pitchBendRange(range: 4)

        //Override default values
        changeAlpha = true
        growCircle = true
        showRipples = true
        showPressLabels = true
        showSqueezeLabel = true
    }
    
    public override func continuous(side: Side) {
        super.continuous(side: side)
        squeeze(side: side)
    }
    
    func squeeze(side: Side){
        pitchBendUp(sideIndex: side.index, value: side.rawValue)
        modulate(sideIndex: side.index, value: side.blend_in_xy * side.rawValue)
    }
}


let contents	=	skoogContents()
contents.setup()
PlaygroundPage.current.liveView = contents
//#-end-hidden-code
//#-code-completion(everything, hide)
/*:
 ![Skoog Image?](skoog.png)
 # Welcome to Skoog!
 
 **Goal** - Set up your Skoog and discover some of the exciting things it can do.  Let's get started!
 
 **NOTE:** Make sure you shut down the Skoog app before connecting to the Playground

 
 1. Press "Run My Code" 
 2. Next, follow these [instructions](glossary://How%20to%20connect%20your%20Skoog) to connect your Skoog.
 3. Give your Skoog a squeeze! How many musical notes can you find?  What happens when you squeeze harder?
 
 **NOTE:** If your Skoog behaves unexpectedly run this [simple test](glossary://Simple%20Test) to check everything is ok.

***
 * [Next topic](@next)
 * [Learn more about Skoog](http://www.skoogmusic.com)
 */
