//#-hidden-code
/*
 Copyright (C) 2016 Skoogmusic Ltd. All Rights Reserved.
 See LICENSE.txt for this sample’s licensing information.
 */
//#-end-hidden-code
/*:
 # Assigning Notes to the Skoog
 **Goal:** Assign a different pitch to each Skoog button.
 
 You might have noticed that different buttons produce different pitched sounds. By default, the Skoog will play notes in the [scale](glossary://Scale) of C-major.
 
 To change notes we use the `setNotes()` function to adjust the [MIDI Number](glossary://MIDI%20number) for each side. Notes can be set individually or all at once.
 
 **Challenge 1:** Change all notes using the `setNotes()` function.\
 **Challenge 2:** Make the red side play the note [C5](glossary://MIDI%20number).\
 **Challenge 3:** Make each side play the musical note "A" across 5 different [octaves](glossary://Octave).
 */
//#-hidden-code

import UIKit
import PlaygroundSupport
import CoreAudioKit
import SpriteKit
import SceneKit

PlaygroundSupport.PlaygroundPage.current.needsIndefiniteExecution = true

public class skoogContents: PlaygroundViewController {
    func setup() {
        //Override default values
        showRipples = true
        //Set Instrument
        setInstrument(.sineWave)
        
//#-end-hidden-code
//#-code-completion(everything, hide)
// Edit the MIDI Numbers below, then click 'Run My Code'
setNotes(red:    /*#-editable-code */58/*#-end-editable-code*/,
         blue:   /*#-editable-code */65/*#-end-editable-code*/,
         yellow: /*#-editable-code */68/*#-end-editable-code*/,
         green:  /*#-editable-code */70/*#-end-editable-code*/,
         orange: /*#-editable-code */73/*#-end-editable-code*/)
//#-hidden-code
    }
}
let contents	=	skoogContents()
contents.setup()
PlaygroundPage.current.liveView = contents
//#-end-hidden-code

/*:
 * [Next topic](@next)
 * [Learn more about Skoog](http://www.skoogmusic.com)
 */
