//#-hidden-code
/*
 Copyright (C) 2016 Skoogmusic Ltd. All Rights Reserved.
 See LICENSE.txt for this sample’s licensing information.
 
*/
//#-end-hidden-code
/*:
 # Changing the ripple color
 
**Goal:** Learn how customise the color of your ripples
 
If you want to customise your ripples, use:
 
* callout(Example):
	`ripple(color: .red, size: 1.0, time: 1.5)`

All of the [parameters](glossary://Parameter) are optional - you can specify all or none of these.
* `color` - lets the ripple know what color to be.
* `size`  - tells it how big to be when it is created.
* `time`  - tells the ripple how quickly to expand.

**Challenges:**
1. Run the code and compare with [Press And Ripple](Getting%20Started/Press%20And%20Ripple). Can you explain why `side.color` causes the ripple color to match that of the side being pressed?
2. What happens when you remove all [arguments](glossary://Argument) from the `ripple()` function?
3. Try changing the ripple color using standard colors (.red,.purple,.pink, etc) or the colorpicker.
*/
//#-hidden-code
import UIKit
import PlaygroundSupport
import CoreAudioKit
import SpriteKit
import SceneKit

PlaygroundSupport.PlaygroundPage.current.needsIndefiniteExecution = true

public class skoogContents: PlaygroundViewController {
    func setup() {
        setInstrument(.acid)
    }
//#-end-hidden-code
//#-code-completion(everything, hide)
//#-code-completion(identifier, show, ripple(color:size:time:), side, strength)
//#-code-completion(literal, show, boolean, color)
//#-code-completion(keyword, show, for, if, let, var, while)
/**
This function is called every time the Skoog is pressed.
*/
func press(side: Side, strength: Double) {
//#-editable-code
// `side` holds information about the side currently being pressed. Here we use its `color` property:
ripple(color: side.color)
//#-end-editable-code
}
//#-hidden-code
    public override func peak(side: Side, peak: Double) {
        super.peak(side: side, peak: peak)
        press(side: side, strength: peak)
    }
}

let contents	=	skoogContents()
contents.setup()
PlaygroundPage.current.liveView = contents
//#-end-hidden-code
/*:
 * [Next topic](@next)
 * [Learn more about Skoog](http://www.skoogmusic.com)
 */
