//#-hidden-code
/*
 Copyright (C) 2016 Skoogmusic Ltd. All Rights Reserved.
 See LICENSE.txt for this sample’s licensing information.
 
*/
//#-end-hidden-code
/*:
 # Routing taps and presses with `press()`
 
**Goal:** Differentiate between presses on different sides.
 
The `press(side: Side, strength: Double)` function is called every time the Skoog is pressed.  It reports the `side` and `strength` and you can use this information to customise how the playground responds.

The `Side` type holds information about the side being pressed, and you can use its `name` property to figure out which side is being pressed, and `color` to find out its color.  The `strength` parameter tells you how hard the Skoog was pressed or tapped by reporting a `Double` value between 0.0 and 1.0.

    func press(side: Side, strength: Double) {
        if side.name == ”red” {
            // your code goes here...
        }
    }
 
1. Examine and run the code.  Can you explain the ripple behaviour?
2. Complete the set of `if` statements to include ripples for the green and orange sides.
3. Set a different ripple time in each `if` statement and try racing ripples on screen!
4. Try mixing up the ripple colors.
*/
//#-hidden-code
import UIKit
import PlaygroundSupport
import CoreAudioKit
import SpriteKit
import SceneKit

PlaygroundSupport.PlaygroundPage.current.needsIndefiniteExecution = true

public class skoogContents: PlaygroundViewController {
    
func setup() {
    setInstrument(.solarWind)
}
//#-end-hidden-code
//#-code-completion(everything, hide)
//#-code-completion(identifier, show, ripple(color:size:time:), side, strength, time, color, size, :, ., *, /, +, -, acid, candyBee, fmModulator, sineWave, solarWind, superSaw)
//#-code-completion(literal, show, boolean, color)
//#-code-completion(keyword, show, for, if, let, var, while)
func press(side: Side, strength: Double) {
if side.name == "red" {
//#-editable-code tap to edit
ripple(color: side.color,
       size: strength,
       time: 0.25)      // quick
//#-end-editable-code
}
if side.name == "blue" {
//#-editable-code tap to edit
ripple(color: side.color,
       size: 0.25 * strength) // small
//#-end-editable-code
}
if side.name == "yellow" {
//#-editable-code tap to edit
ripple(color: side.color,
       size: 2.0, // fixed size
       time: 2.0) // slow
//#-end-editable-code
}
if side.name == "green" {
//#-editable-code tap to add code for green
//#-end-editable-code
}
if side.name == "green" {
//#-editable-code tap to add code for orange
//#-end-editable-code
}
}
//#-hidden-code
    public override func peak(side: Side, peak: Double) {
        super.peak(side: side, peak: peak)
        press(side: side, strength: peak)
    }
}

let contents	=	skoogContents()
contents.setup()
PlaygroundPage.current.liveView = contents
//#-end-hidden-code
/*:
 * [Next topic](@next)
 * [Learn more about Skoog](http://www.skoogmusic.com)
 */
