//#-hidden-code
/*
 Copyright (C) Skoogmusic Ltd. All Rights Reserved.
 See LICENSE.txt for this sample’s licensing information.
 
*/
//#-end-hidden-code
/*:
 # Routing your squeezes
 
 **Goal:** Map the squeeze amount to control circle properties.

 Skoogs love to be squeezed!
 Earlier you explored how squeezing the Skoog affected the size of the solid circle on the screen. Now let’s see what else you can do using the squeeze data.
 
 The `squeeze()` function continuously updates while you are touching your Skoog.  As with the `press()` function, the `squeeze()` function can tell what side is being pressed, how hard, along with a number of other useful parameters.
 
 The appearance parameters of the circle can be modified in relation to how hard you are squeezing the Skoog.
 
 * Transparency can be controlled using `alpha(value: Double)`
 * Circle size can be controlled using `grow(value: Double)`
 
 Try mapping different sides of the Skoog to control different circle parameters/properties
 
 1. Control the circle’s transparency with the green button
 2. Control the circle’s size with the yellow button
 3. Control the circles size and transparency with the orange side.
 
 **Challenge:** What happens when you map the squeeze amount to more than one parameter, what exciting combinations can you think of?
 */
//#-hidden-code
import UIKit
import PlaygroundSupport
import CoreAudioKit
import SpriteKit
import SceneKit

PlaygroundSupport.PlaygroundPage.current.needsIndefiniteExecution = true

public class skoogContents: PlaygroundViewController {

func setup() {
	setInstrument(.sineWave)
	circle.setGlow(amount:50)
}
//#-end-hidden-code
//#-code-completion(everything, hide)
//#-code-completion(identifier, show, ripple(color:size:time:), side, rawValue, value, time, color, size, :, ., *, /, +, -, *=, /=, +=, -=, acid, candyBee, fmModulator, sineWave, solarWind, superSaw)
//#-code-completion(literal, show, boolean, color)
//#-code-completion(keyword, show, for, if, let, var, while)
func squeeze(side: Side) {
if side.name == "red" {
//#-editable-code
    alpha(value: side.rawValue)
//#-end-editable-code
}
if side.name == "blue" {
//#-editable-code
    grow(value: side.rawValue)
//#-end-editable-code
}
if side.name == "yellow" {
//#-editable-//#-editable-code tap to add code for yellow
//#-end-editable-code
}
if side.name == "green" {
//#-editable-code tap to add code for green
//#-end-editable-code
}
if side.name == "orange" {
//#-editable-code tap to add code for orange
//#-end-editable-code
}
}
//#-hidden-code
	public override func continuous(side: Side) {
		super.continuous(side:side)
		squeeze(side:side)
	}
}
let contents	=	skoogContents()
contents.setup()
PlaygroundPage.current.liveView = contents
//#-end-hidden-code
/*:
 * [Next topic](@next)
 * [Learn more about Skoog](http://www.skoogmusic.com)
 */
