//#-hidden-code
/*
 Copyright (C) 2016 Skoogmusic Ltd. All Rights Reserved.
 See LICENSE.txt for this sample’s licensing information.
 
 This is a second example page.
*/
//#-end-hidden-code
/*:
 # Dynamic Sound Control
 **Goal:** Apply dynamic control to the sound using continuous data from the Skoog

 Music is made up of parameters and subtle variations which when combined, result in a unique expressive performance.
 
 Pitch bend is the term for sliding from one note to another, a technique popular on stringed instruments or on synthesizers. The amount of pitch bend applied to a note is determined by setting: 
 * `pitchBendUp(sideIndex: Int, value:Double)` to bend up, or...
* `pitchBendDown(sideIndex: Int, value:Double)` to bend down.
 
 1. Get wibbly with pitch bending using squeeze data.
 2. Try using the squeeze strength to add vibrato to the sound using `modulate(sideIndex: side.index, value:side.rawValue)`
 2. Make the red side pitch bend upwards, and the blue side pitch bend downwards.
 */
//#-hidden-code
import UIKit
import PlaygroundSupport
import CoreAudioKit
import SpriteKit
import SceneKit

PlaygroundSupport.PlaygroundPage.current.needsIndefiniteExecution = true

public class skoogContents: PlaygroundViewController {
	
func setup() {
	setInstrument(.sineWave)
	showRipples = true
	growCircle = true
	changeAlpha = true
}
//#-end-hidden-code
//#-code-completion(everything, hide)
//#-code-completion(identifier, show, pitchBendUp(sideIndex:value:), pitchBendDown(sideIndex:value:), modulate(sideIndex:value:), pitchBendRange(range:), pan(sideIndex:value:), :, ., *, /, +, -, *=, /=, +=, -=)
//#-code-completion(identifier, show, acid, candyBee, fmModulator, sineWave, solarWind, superSaw)
//#-code-completion(literal, show, boolean, color)
//#-code-completion(keyword, show, for, if, let, var, while)
func squeeze(side: Side) {
//#-editable-code
pitchBendUp(sideIndex: side.index, value:side.rawValue)
//#-end-editable-code
}
	//#-hidden-code
	public override func continuous(side: Side) {
		super.continuous(side:side)
		squeeze(side:side)
	}
}
let contents	=	skoogContents()
contents.setup()
PlaygroundPage.current.liveView = contents
//#-end-hidden-code
/*:
 * [Next topic](@next)
 * [Learn more about Skoog](http://www.skoogmusic.com)
 */
