//#-hidden-code
/*
 Copyright (C) 2016 Skoogmusic Ltd. All Rights Reserved.
 See LICENSE.txt for this sample’s licensing information.
 
*/
//#-end-hidden-code
/*:
 # Putting it all together
 In this Playground you and Skoog can have lots of fun exploring and creating sounds and visuals. This is your blank canvas, now it's over to you to put all you have learned into action! 
 */
//#-hidden-code


import UIKit
import PlaygroundSupport
import CoreAudioKit
import SpriteKit
import SceneKit

PlaygroundSupport.PlaygroundPage.current.needsIndefiniteExecution = true

public class skoogContents: PlaygroundViewController {
    public var inst: SynthType = .sineWave
//#-end-hidden-code
//#-code-completion(everything, hide)
//#-code-completion(identifier, show, alphaOn(), rippleOn(), setInstrument(_:), ripple(color:size:time:), side, strength, time, color, size, :, ., *, /, +, -, *=, /=, +=, -=, acid, candyBee, fmModulator, sineWave, solarWind, superSaw, true, false, howRipples, changeAlpha, growCircle, playNotes, changeColor, showPressLabels, showSqueezeLabel, pitchBendUp(sideIndex:value:), pitchBendDown(sideIndex:value:), modulate(sideIndex:value:), pitchBendRange(range:), volume(sideIndex:value:), pan(sideIndex:value:))
//#-code-completion(literal, show, boolean, color)
//#-code-completion(keyword, show, for, if, let, var, while)
//#-editable-code initialise any variables and constants here
//#-end-editable-code
func setup() {
//#-editable-code
// Set up your default press and squeeze behaviours
changeAlpha = true
growCircle  = false
    
// Do you want to play notes and change color automatically?
playNotes   = true
changeColor = true
    
// Do you want to show labels onscreen?
showPressLabels  = true
showSqueezeLabel = true

// Choose an instrument - remember to add the `.` at the start!
setInstrument(.acid)

// Choose your MIDI notes
setNotes(red:    60,
         blue:   62,
         yellow: 64,
         green:  65,
         orange: 67)
    
//#-end-editable-code
}

func press(side: Side, strength: Double) {
//#-editable-code tap to edit
// Here we apply a ripple to all sides
ripple(color: side.color, size: strength)
//#-end-editable-code
}
    
func squeeze(side: Side) {
//#-editable-code tap to edit
// Here we make the circle grow with a squeeze to the red side
if side.name == "red" {
grow(value: side.rawValue)
}
    
// Here we make apply pitch bend with a squeeze to the blue side
if side.name == "blue" {
pitchBendUp(sideIndex: side.index, value: side.rawValue)
}
    
//#-end-editable-code
}
	//#-hidden-code
	public override func peak(side: Side, peak: Double) {
		super.peak(side: side, peak: peak)
		press(side: side, strength: peak)
	}
	public override func continuous(side: Side) {
		super.continuous(side:side)
		squeeze(side:side)
	}
}
let contents	=	skoogContents()
contents.setup()
PlaygroundPage.current.liveView = contents
//#-end-hidden-code
/*:
 * [Learn more about Skoog](http://www.skoogmusic.com)
 */
